"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const tableGrid = require("../table-grid.js");
const Vue = require("vue");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !Vue.isVNode(s);
}
const LeftTable = (props, { slots }) => {
  if (!props.columns.length) return;
  const { leftTableRef, ...rest } = props;
  return Vue.createVNode(tableGrid.default, Vue.mergeProps({ "ref": leftTableRef }, rest), _isSlot(slots) ? slots : { default: () => [slots] });
};
exports.default = LeftTable;
